All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class WordWrapTextArea

    com.sas.visuals.WordWrapTextArea

All Implemented Interfaces:
  VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.collection.ContentsChangedListener, ComponentInterface, com.sas.lang.StringDataInterface, LinkPropertiesInterface, ModelInterface, com.sas.PublicClonable, ValidatorInterface, ViewDefaultModelInterface, ViewInterface, MultipleValueEventSourceInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.accessibility.Accessible

    public class WordWrapTextArea

WordWrapTextArea is a subclass of com.sas.awt.TextArea that should be used when word-wrapping is desired. Word-wrapping causes text to be moved to the beginning of the next line if the current text size is greater than the width of the WordWrapTextArea. Word-wrapping is accomplished by "removing" the horizontal scrollbars.

See Also:
  `TextArea`, Serialized Form

Field Summary

Fields inherited from class com.sas.awt.TextArea
`caretRowBeforeDoubleClick, currentCaretRow, currentCaretRowText, currentRowCount, defaultModel, displayTransform, inputTransform, outputTransform, RB_KEY`

Constructor Summary
`WordWrapTextArea()` Default constructor
`WordWrapTextArea(int rows, int columns)` Create a WordWrapTextArea with the specified rows and columns
`WordWrapTextArea(java.lang.String text)` Create a WordWrapTextArea with the specified text
`WordWrapTextArea(java.lang.String text, int rows, int columns)` Create a WordWrapTextArea with the specified text, rows and columns
`WordWrapTextArea(java.lang.String text, int rows, int columns, int scrollbars)` Create a WordWrapTextArea with the specified text, rows, columns and scrollbar visibility.

Method Summary

Methods inherited from class com.sas.awt.TextArea
`append, attachModel, clone, contentsChanged, countRows, delete, deselectAll, detachModel, getCaretRow, getDefaultHeight, getDefaultWidth, getDisplayTransform, getErrorHandler, getExtendedBeanInfo, getInputTransform, getOutputTransform, getRequiredInterfaces, getRowText, getValidator, handleError, insert, isAutoHighlight, isDefaultModelAttached, isKeystrokeUpdate, isSelectRowText, isValid, processFocusEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, propertyChange, refresh, refresh, replaceRange, select, selectAll, setAutoHighlight, setCaretPosition, setColumns, setDefaultHeight, setDefaultValues, setDefaultWidth, setDisplayTransform, setEditable, setErrorHandler, setInputTransform, setKeystrokeUpdate, setOutputTransform, setRows, setSelectionEnd, setSelectionStart, setSelectRowText, setText, setTextOnModel, setValidator, transformStrings, updateCaretPosition, updateOrderedCollectionModel`

Methods inherited from class com.sas.awt.TextAreaVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachView, computePreferredSize, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPreferredSize, getPrePainter, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, paint, queryLinks, queryLinks, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.ViewInterface
`getModelInterface, getViewInterfaceSupportInfo, removeInterfaceTraps, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsRequiredInterfaces, trapInterfaceEvents`

Methods inherited from interface com.sas.lang.StringDataInterface
`getText`

Constructor Detail

### WordWrapTextArea

    public WordWrapTextArea()

  Default constructor

### WordWrapTextArea

    public WordWrapTextArea(java.lang.String text)

  Create a WordWrapTextArea with the specified text

  Parameters:
    `text` - text

### WordWrapTextArea

    public WordWrapTextArea(int rows,
                            int columns)

  Create a WordWrapTextArea with the specified rows and columns

  Parameters:
    `rows` - number of rows
    `columns` - number of columns

### WordWrapTextArea

    public WordWrapTextArea(java.lang.String text,
                            int rows,
                            int columns)

  Create a WordWrapTextArea with the specified text, rows and columns

  Parameters:
    `text` - text
    `rows` - number of rows
    `columns` - number of columns

### WordWrapTextArea

    public WordWrapTextArea(java.lang.String text,
                            int rows,
                            int columns,
                            int scrollbars)

  Create a WordWrapTextArea with the specified text, rows, columns and scrollbar visibility. If either both(horiznontal and vertical) or horizontal scrollbars are specified, word-wrap capability will be lost.

  Parameters:
    `text` - text
    `rows` - number of rows
    `columns` - number of columns
    `scrollbars` - an integer that specifies the scrollbars for the textArea (TextArea.SCROLLBARS_BOTH, TextArea.SCROLLBARS_HORIZONTAL_ONLY, (TextArea.SCROLLBARS_NONE, TextArea.SCROLLBARS_VERTICAL_ONLY)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.